
#
from System.Collections.Generic import List
from System import Byte, Int32
#



Places = [ [5138, 653, 0],
[5138, 660, 0],
[5138, 668, 0], # steps

[5140, 678, 0],
[5153, 678, 0],
[5165, 675, 0], # steps

[5171, 683, 0], # top of steps
[5171, 694, 0],
[5180, 699, 0],
[5188, 697, 2],
[5179, 705, 0],
[5179, 717, 0],
[5181, 726, 0],
[5179, 717, 0],
[5179, 704, 0],
[5171, 696, 0],
[5171, 681, 0],
[5171, 665, 0],
[5181, 659, 0],
[5193, 656, 0],
[5203, 661, 0],
[5204, 669, -20],
[5211, 671, -20],
[5219, 679, -20],
[5227, 687, -20],
[5227, 699, -20],
[5222, 709, -20],
[5219, 719, -20],
[5219, 729, -20],
[5219, 739, -20],
[5219, 750, -20],
]

def MoveToPlace(index):
    #Player.PathFindTo(tree.X, tree.Y, tree.Z)
    route = PathFinding.Route()
    route.X = Places[index][0]
    route.Y = Places[index][1]
    route.StopIfStuck = False
    route.IgnoreMobile = True
    route.UseResync = True    
    PathFinding.Go(route)

    
def GoToEnemy():
    #Misc.Resync()
    moreEnemies = True
    anyNefarious = False
    while moreEnemies:
        enemy_filter = Mobiles.Filter()
        enemy_filter.Enabled = True
        enemy_filter.RangeMin = -1
        enemy_filter.RangeMax = -1
        enemy_filter.CheckLineOfSite = True
        enemy_filter.Notorieties = List[Byte](bytes([3, 4, 5, 6]))
        enemies = Mobiles.ApplyFilter(enemy_filter)
        if len(enemies) > 0:
            Misc.SendMessage("{} ENEMIES".format(len(enemies)))
            enemy = Mobiles.Select(enemies, 'Nearest') 
            if enemy.Hue == 0x07a2:
                anyNefarious = True
            route = PathFinding.Route()
            route.X = enemy.Position.X
            route.Y = enemy.Position.Y
            route.StopIfStuck = False
            route.IgnoreMobile = True
            route.UseResync = False    
            PathFinding.Go(route)
            while Mobiles.FindBySerial(enemy.Serial):
                Player.Attack(enemy)
        else:
            Misc.SendMessage("NO ENEMIES")
            moreEnemies = False
    return anyNefarious
        
    
while True:    
    for index in range(0, len(Places), 1):
        MoveToPlace(index)
        Misc.Pause(1000)
        doLoot = GoToEnemy()
        if doLoot:
            Misc.Pause(4000)
            # wait a while for autoloot
    for index in range(len(Places)-1, -1, -1):
        MoveToPlace(index)
        Misc.Pause(1000)
        doLoot = GoToEnemy()
        if doLoot:
            Misc.Pause(4000)
            # wait a while for autoloot

#            